
Redmine - Defect #16963

Multi select custom field is broken in the report

2014-05-23 16:31 - John Nguyen

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.1

Description

Introduced a bug in this version of Redmine to where the the spent time report cannot display multiple select custom fields.

When the user select a custom field that has multiple values, the report fails with the following error page:

Internal error

An arror occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

I have verified using a previous version 2.4.2 with the exact same data and it works fine.  Please fix for this is a show stopper for us.

Related issues:

Related to Redmine - Defect #16519: Generating a spent time report on a list ... Closed

History

#1 - 2014-05-23 16:44 - John Nguyen

I just found out that this was done intentionally. r13055

We need this feature back please.

#2 - 2014-05-24 18:24 - Jean-Philippe Lang

Yes, 2.4 allowed that but when a time entry had multiple values for the custom fields, the hours was assigned to an arbitary value. Example: With a

single entry of 2 hours having a custom value = [Foo, Bar], the report gives: Bar => 2 hours.

Is it the expected behaviour?

#3 - 2014-06-19 07:33 - Toshi MARUYAMA

- Related to Defect #16519: Generating a spent time report on a list type custom field with multiple values causes an invalid SQL error added

#4 - 2014-06-19 07:34 - Toshi MARUYAMA

- Category changed from Activity view to Time tracking

- Priority changed from Urgent to Normal
